import { ListenerAbstract } from '../types/listener';
export declare class BalWindowResizeListener extends ListenerAbstract {
    private resizeHandler;
    private debouncedNotify;
    connect(el?: HTMLElement | Window | Document): void;
    disconnect(): void;
    notify: () => Promise<void>;
}
